<template>
   <div id="third_section" class="wrapper row">
        <!-- <NavSection  colorLink="red" colorLine="blue" ></NavSection> -->
    <div class="connection">
        <h2 class="connection__title section-title">{{ local.connect[$lang] }}</h2>
        <p class="connection__description section-description">
            {{ local.thirdSectionDescription[$lang] }}
        </p>
        <button class="connection__btn">{{ local.registration[$lang] }}</button>
        <ul class="connection__steps">
            <li class="step">
                <div class="step__circle">
                    <img src="/assets/img/step1.svg" class="step__img">
                </div>
                <p class="step__count">{{ local.step1[$lang] }}</p>
                <p class="step__description">{{local. stepOneDescription[$lang] }}</p>
            </li>
            <li class="step__line"></li>
            <li class="step">
                <div class="step__circle">
                    <img src="/assets/img/step2.svg" class="step__img">
                </div>
                <p class="step__count">{{ local.step2[$lang] }}</p>
                <p class="step__description">{{ local.stepTwoDescription[$lang] }}</p>
            </li>
            <li class="step__line"></li>
            <li class="step">
                <div class="step__circle">
                    <img src="/assets/img/step3.svg" class="step__img">
                </div>
                <p class="step__count">{{ local.step3[$lang] }}</p>
                <p class="step__description">{{ local.stepThreeDescription[$lang] }}</p>
            </li>
            <li class="step__line"></li>
            <li class="step">
                <div class="step__circle">
                    <img src="/assets/img/step4.svg" class="step__img">
                </div>
                <p class="step__count">{{ local.step4[$lang] }}</p>
                <p class="step__description">{{ local.stepFourDescription[$lang] }}</p>
            </li>
        </ul>
    </div>
   </div> 
</template>

<script>
    import NavSection from "./NavSection.vue"
    import local from "../localisation/thirdSectionLocalisation.js"

    export default {
        data: () => ({
            local
        }),
        components: {
            NavSection
        }
    }
</script>

<style lang="scss" scoped>
    .wrapper {
        justify-content: center;
      background-color: #edf2f5;
      min-height: 100vh;
      
      @media(max-width: 1100px){
            min-height: auto;
            padding-bottom: 76px;
        }
        @media(max-width: 620px){

            padding-bottom: 34px;
        }
    }
    .connection{
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 1680px;
        width: 100%;
        &__title{
            margin-top: 122px;
            @media(max-width: 1100px){
                margin-top: 70px;
            }
            @media(max-width: 900px){
                font-size: 30px;
                 margin-top: 50px;
            }
             @media(max-width: 620px){
                font-size: 20px;
                margin-top: 30px;
            }
        }
        &__description{
            padding: 0 40px;
            width: 770px;
            @media(max-width: 900px){
                width: auto;
            }
            @media(max-width: 620px){
                display: none;
            }
        }
        &__btn{
            border: none;
            width: 277px;
            height: 50px;
            border-radius: 48px;
            background-image: linear-gradient(to right, #dedc00, #95c11f);
            font-family: 'Comfortaa', sans-serif;
            outline: none;
            font-size: 14px;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1px;
            text-align: center;
            color: #ffffff;
             @media(max-width: 620px){
                order: 10;
                height: 40px;
                margin-top: 20px;
            }
        }
        &__steps{
            display: flex;
            justify-content: space-around;
            align-items: center;
            position: relative;
            padding: 0;
            width: 70%;
            margin-top: 80px;
            list-style-type: none;
            font-size: 14px;
            @media(max-width: 1100px){
                width: 90%;
            }
            @media(max-width: 900px){
                width: 100%;   
            }
            @media(max-width: 620px){
                 align-items: flex-start;
                flex-direction: column;
                margin-top: 0;

            }
            
            
        }
    }

    .step{
        width: 230px;
        display: flex;
        flex-direction: column;
        align-items: center;
        @media(max-width: 620px){
            flex-direction: row;
            justify-content: space-between;
            position: relative;
            width:100%;
            margin-top: 42px;
        }
        &__circle{
            position: relative;
             width: 167px;
            height: 167px;
            border: solid 2px #d1dde6;
            border-radius: 50%;
            background-color: #ffffff;
            @media(max-width: 900px){
                width: 140px;
                height: 140px;
            }
             @media(max-width: 620px){
                 flex-grow: 0;
                width: 100px;
                height: 100px;
            }
        }
        &__img{
            position: absolute;
            left: 37px;
            top: 35px;
            @media(max-width: 900px){
                left: 25px;
                top: 15px;
                width: 90px;
                height: 90px;
            }
             @media(max-width: 620px){
                width: 52px;
                height: 52px;
                left: 24px;
                top: 20px;
            }
            
        }
        &__count{
            width: 100%;
            height: 24px;
            margin-top: 29px;
            font-family: OpenSans;
            font-size: 14px;
            font-weight: bold;
            line-height: 1.71;
            text-align: center;
            color: #30b164;
             @media(max-width: 620px){
                position: absolute;
                top: -15px;
                left: 10%;
            }
        }
        &__description{
            width: 100%;
            height: 48px;
            margin-top: 10px;
            font-family: OpenSans;
            font-size: 14px;
            line-height: 1.71;
            text-align: center;
            color: #464d53;
            @media(max-width: 900px){
                font-size: 13px;
            }
             @media(max-width: 620px){
                 flex-grow: 1;
                 width: 45%;
                 padding-top: 10px;
                 text-align: left;
                 padding-left: 45px ;
                //  height: 20px;
            //    width:100px;
            //    max-width:350px;
            }
        }
        &__line{
            position: relative;
            top:-50px;
             width: 84px;
            height: 2px;
            background-color: #d1dde6;
            @media(max-width: 900px){
                width: 20px;
                
            }
             @media(max-width: 620px){
                 transform: rotate(90deg);
                margin: 10px;
                left: 30px;
                top:20px;
                width: 20px;
                
            }
        }
    }

       

</style>
